<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use app\models\RegistrationForm;
?>

<div class="container d-flex flex-column">
    <div class="row my-auto">
        <div class="col-lg-4 mx-auto">
            <?php $form = ActiveForm::begin([
                'id' => 'form_account',
                'action' => false,
                'fieldConfig' => [
                    'template' => "{label}\n<div>{input}</div>\n<div>{error}</div>"
                ],
                'options' => [
                    'onsubmit' => 'return false;'
                ]
            ]); ?>

            <?= $form->field($model, 'mail')->textInput(['autofocus' => true]) ?>
            <?= $form->field($model, 'pswd')->passwordInput() ?>
            <?= $form->field($model, 'auto')->checkbox() ?>

            <div class="d-flex">
                <?= Html::submitButton('Войти', ['name' => 'submit', 'onclick' => 'authentication(this.parentElement.parentElement);', 'class' => 'btn btn-primary col-4']) ?>
                <?= Html::submitButton('Регистрация', ['name' => 'submit', 'onclick' => 'registration(this.parentElement.parentElement);', 'class' => 'btn btn-success col-7 ml-auto']) ?>
            </div>

            <?php ActiveForm::end(); ?>
        </div>
    </div>
</div>