function identification() {
    $.ajax({
        url: '/identification',
        type: 'post',
        dataType: 'json',
        data: {
            '_csrf': yii.getCsrfToken()
        },
        success: function (data) {
            // Обновление документа
            if (data.menu != undefined) {
                document.getElementById('nav').innerHTML = data.menu;
            }
            if (data._csrf != undefined) {
                $('meta[name=csrf-token]').prop("content", data._csrf);
            }
        }
    });
};

function authentication(form) {
    if (form == undefined) {
        form = {
            '_csrf': yii.getCsrfToken()
        };
    } else {
        form = $(form).serialize();
    }

    $.ajax({
        url: '/authentication',
        type: 'post',
        dataType: 'json',
        data: form,
        success: function (data, status) {
            // Обновление документа
            if (data.menu != undefined) {
                document.getElementById('nav').innerHTML = data.menu;
            }
            if (data.form != undefined) {
                document.getElementsByTagName('main')[0].innerHTML = data.form;
            }
            if (data._csrf != undefined) {
                $('meta[name=csrf-token]').prop("content", data._csrf);
            }

            // Перенаправление
            history.pushState({}, document.title, '/');

            // Реинициализация
            reinitialization();
        },
        error: function (data, status) {
            if (data.responseJSON.form != undefined) {
                // Обновление документа
                document.getElementsByTagName('main')[0].innerHTML = data.responseJSON.form;
                // Реинициализация
                reinitialization();
            }
            if (data.responseJSON._csrf != undefined) {
                // Обновление документа
                $('meta[name=csrf-token]').prop("content", data.responseJSON._csrf);
            }

            if (status === 403) {
                // Перенаправление
                history.pushState({}, document.title, '/');
            }

            // Реинициализация
            reinitialization();
        }
    });
};

function deauthentication() {
    $.ajax({
        url: '/deauthentication',
        type: 'post',
        dataType: 'json',
        data: { '_csrf': yii.getCsrfToken() },
        success: function (data) {
            if (data.menu != undefined) {
                // Обновление документа
                document.getElementById('nav').innerHTML = data.menu;
            }
            if (data.form != undefined) {
                // Обновление документа
                document.getElementsByTagName('main')[0].innerHTML = data.form;
                // Реинициализация
                reinitialization();
            }
            if (data._csrf != undefined) {
                // Обновление документа
                $('meta[name=csrf-token]').prop("content", data._csrf);
            }

            // Перенаправление
            history.pushState({}, document.title, '/');
        }
    });
};

function registration(form) {
    if (form == undefined) {
        form = {
            '_csrf': yii.getCsrfToken()
        };
    } else {
        form = $(form).serialize();
    }

    $.ajax({
        url: '/registration',
        type: 'post',
        dataType: 'json',
        data: form,
        success: function (data) {
            if (data.menu != undefined) {
                // Обновление документа
                document.getElementById('nav').innerHTML = data.menu;
            }
            if (data.form != undefined) {
                // Обновление документа
                document.getElementsByTagName('main')[0].innerHTML = data.form;
                // Реинициализация
                reinitialization();
            }
            if (data._csrf != undefined) {
                // Обновление документа
                $('meta[name=csrf-token]').prop("content", data._csrf);
            }

            // Перенаправление
            history.pushState({}, document.title, '/');
        },
        error: function (data) {
            if (data.responseJSON.form != undefined) {
                // Обновление документа
                document.getElementsByTagName('main')[0].innerHTML = data.responseJSON.form;
                // Реинициализация
                reinitialization();
            }
            if (data.responseJSON._csrf != undefined) {
                // Обновление документа
                $('meta[name=csrf-token]').prop("content", data.responseJSON._csrf);
            }

            if (statis === 403) {
                // Перенаправление
                history.pushState({}, document.title, '/');
            }
        }
    });
};

document.addEventListener('DOMContentLoaded', identification(), true);